Bug 605735 - trac: please update to version 0.12.1
Summary: trac: please update to version 0.12.1
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: trac   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 626053
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-18 16:15 UTC by Jose Pedro Oliveira
Modified: 2013-01-10 06:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-12 23:26:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2010-06-18 16:15:50 UTC
Description of problem:
Please update rawhide's trac to version 0.12. This version was released last weekend.

Expected results:
Trac 0.12 RPMS in rawhide.

Additional info:
 * Trac 0.12 Released
   http://groups.google.com/group/trac-dev/browse_thread/thread/641d68808dfce99e 

 * Release notes
   http://trac.edgewall.org/wiki/TracDev/ReleaseNotes/0.12

Comment 1 Jesse Keating 2010-06-18 16:28:26 UTC
Fun.  Yet another trac release that requires a DB upgrade.  So much fun.

Comment 2 Jose Pedro Oliveira 2010-07-05 17:50:30 UTC
FYI: The RPMforge specfile is available here:
http://svn.rpmforge.net/svn/trunk/rpms/trac/trac.spec

 + already updated to trac 0.12 (requirements list)
 - doesn't tackle the upgrade from previous major versions (e.g. 0.11)

Comment 3 Bug Zapper 2010-07-30 12:10:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Felix Schwarz 2010-08-21 16:53:59 UTC
I'm unsure if we can get this into Fedora 14 still - depends on how fast Genshi 0.6 is updated and how many changes are required for trac plugins which are already packaged for Fedora.

Comment 5 Jose Pedro Oliveira 2010-09-18 09:19:07 UTC
ping

Comment 6 Felix Schwarz 2010-09-18 15:20:41 UTC
(In reply to comment #5)
> ping

Better ping/work on bug 626053 - as long as that one is not resolved, there is nothing we can do about trac 0.12. I did not have the time yet to do the Genshi 0.6 update myself. Also this won't go in for Fedora 14...

Comment 7 Jose Pedro Oliveira 2010-09-18 16:02:50 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > ping
> 
> Better ping/work on bug 626053 - as long as that one is not resolved, there is
> nothing we can do about trac 0.12. I did not have the time yet to do the Genshi
> 0.6 update myself. Also this won't go in for Fedora 14...


I thought it had already been solved when I saw a python-genshi-0.6 build in koji
more than three weeks ago (unfortunately rawhide only):

 * http://koji.fedoraproject.org/koji/buildinfo?buildID=191475

Comment 8 Jose Pedro Oliveira 2010-10-02 08:40:58 UTC
The RC1 of trac 0.12.1 has been released:

 * Milestone 0.12.1 (tickets closed) [[BR]]
   http://trac.edgewall.org/milestone/0.12.1

 * Download [[BR]]
   http://ftp.edgewall.com/pub/trac/Trac-0.12.1rc1.tar.gz

Note: final version release ETA: 2010-10-09

Comment 9 Jose Pedro Oliveira 2010-10-10 18:23:31 UTC
Trac 0.12.1 already available:

 * http://trac.edgewall.org/browser/tags/trac-0.12.1/RELEASE
 * http://ftp.edgewall.com/pub/trac/Trac-0.12.1.tar.gz

Comment 10 Jesse Keating 2010-10-12 23:26:51 UTC
0.12.1 has been built for rawhide.  It's too late to bring this into F14 as it would cause a manual database migration.

Comment 11 Jose Pedro Oliveira 2010-10-13 00:42:09 UTC
(In reply to comment #10)
> 0.12.1 has been built for rawhide.  It's too late to bring this into F14 as it
> would cause a manual database migration.

Thanks for the update.

BTW: the file README.fedora in the noarch RPM has the wrong content (source4 and not source1).


The following patch corrects the problem and also removes a superfluous command line flag of a rm statement:
----------
--- trac.spec   2010-10-13 01:26:14.000000000 +0100
+++ trac.spec.modified  2010-10-13 01:35:42.000000000 +0100
@@ -36,8 +36,8 @@
 %setup -q -n Trac-%{version}
 find contrib -type f -exec chmod -x '{}' \;
 # don't package windows specific files
-rm -rf contrib/trac-post-commit-hook.cmd
-%{__cp} -a %{SOURCE1} README.fedora
+rm -f contrib/trac-post-commit-hook.cmd
+%{__cp} -a %{SOURCE4} README.fedora
 
 %build
 %{__python} setup.py build
----------

Comment 12 Jesse Keating 2010-10-15 19:25:39 UTC
Thanks for the above, I've fixed that and submitted a new rawhide build.


Note You need to log in before you can comment on or make changes to this bug.